import { useEditor } from "@/modules/editor";
import { defineUI } from "queenjs";
import { TipIcons } from "../../TipIcons";
import { css } from "@linaria/core";

export default defineUI({
  setup() {
    const { actions, controls } = useEditor();
    return () => (
      <>
        <div class="absolute top-20px left-20px space-x-10px">
          <TipIcons.Undo
            class={btnCls}
            onClick={() => controls.historyCtrl.history.undo()}
          />
          <TipIcons.Redo
            class={btnCls}
            onClick={() => controls.historyCtrl.history.redo()}
          />
        </div>
        <div class="absolute top-20px right-20px">
          <TipIcons.Screenshot
            class={btnCls}
            onClick={() => actions.updateThumbnailByScreenshot(true)}
          />
        </div>
      </>
    );
  },
});

const btnCls = css`
  padding: 10px;
  border-radius: 50%;
  background-color: #333;
  @apply shadow;
`;
